/* RESET BÁSICO */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.filtro-wrapper .card {
  opacity: 0;
  overflow: hidden;
  order: 2;
}

/* OCULTAR RADIO BUTTONS */
input[type="radio"] {
  display: none;
}

/* BOTONES DE CATEGORÍA */
.botones-categorias {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 25px;
  margin: 20px;
  list-style: none;
}

.botones-categorias label {
  background: #6d6e71;
  color: #fff;
  padding: 10px 20px;
  border-radius: 2px;
  cursor: pointer;
  transition: background 0.3s;
}

/* TÍTULOS DE CADA CATEGORÍA */
.titulo-categoria {
  display: none;
  text-align: center;
  font-size: 1.5em;
  font-weight: bold;
  margin: 20px 0;
  color: #333;
}

#todos:checked~#titulo-todos,
#biologia:checked~#titulo-biologia,
#matematicas:checked~#titulo-matematicas,
#fisica:checked~#titulo-fisica,
#quimica:checked~#titulo-quimica {
  display: block;
}

/* BOTON ACTIVO ROJO */
#todos:checked~.botones-categorias label[for="todos"],
#biologia:checked~.botones-categorias label[for="biologia"],
#matematicas:checked~.botones-categorias label[for="matematicas"],
#fisica:checked~.botones-categorias label[for="fisica"],
#quimica:checked~.botones-categorias label[for="quimica"] {
  background: #e81c25;
}

/* CONTENEDOR DE CARDS */
.contenedor-tarjetas {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

/* TARJETAS INDIVIDUALES */
.card-professor {
  width: 12em;
  height: 25em;
  padding: 0.4em;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  transition: 0.3s;
}

.card-professor:hover {
  transform: translateY(-0.2rem) scale(1.0125);
  box-shadow: 0 0.5em 3rem -1rem rgba(0, 0, 0, 0.5);
}

.card-text {
  line-height: 1.3;
}

.card-image {
  width: 100%;
  height: 200px;
  overflow: hidden;
}

.card-image img {
  width: 100%;
}

.card-name {
  text-transform: uppercase;
  font-size: 1em;
  font-weight: 600;
  padding: 10px 7px 0;
}

.card-name a {
  color: #6d6e71;
  transition: 0.3s;
}

.card-name a:hover {
  color: #e71c24;
}

.card-subtitle {
  font-size: 0.8em;
  color: #6d6e71;
  padding: 7px;
}

/* Mostrar tarjetas según categoría */
#todos:checked~.contenedor-tarjetas .card,
#biologia:checked~.contenedor-tarjetas .biologia,
#matematicas:checked~.contenedor-tarjetas .matematicas,
#fisica:checked~.contenedor-tarjetas .fisica,
#quimica:checked~.contenedor-tarjetas .quimica {
  opacity: 1;
  overflow: visible;
  order: -1;
}